RubyGems Navigation menu

pg 0.19.1.pre20170124220800

Pg is the Ruby interface to the {PostgreSQL RDBMS}[http://www.postgresql.org/]. It works with {PostgreSQL 9.1 and later}[http://www.postgresql.org/support/versioning/]. A small example usage: #!/usr/bin/env ruby require 'pg' # Output a table of current connections to the DB conn = PG.connect( dbname: 'sales' ) conn.exec( "SELECT * FROM pg_stat_activity" ) do |result| puts " PID | User | Query" result.each do |row| puts " %7d | %-16s | %s " % row.values_at('procpid', 'usename', 'current_query') end end

Versões:

  1. 1.1.4 - January 09, 2019 x86-mingw32 (1,89 MB)
  2. 1.1.4 - January 09, 2019 x64-mingw32 (2,11 MB)
  3. 1.1.4 - January 09, 2019 (229 KB)
  4. 1.1.3 - September 08, 2018 x64-mingw32 (2,15 MB)
  5. 1.1.3 - September 08, 2018 x86-mingw32 (1,99 MB)
  6. 0.19.1.pre20170124220800 - January 25, 2017 (224 KB)
Mostrar todas as versões (147)

Donos:

Autores:

  • Michael Granger, Lars Kanis

SHA 256 checksum:

18bbe112a68f8c3b8f62f54e8e9efa3925b9ae32a6d3973734cd99fa4409a568

Total de downloads 78.235.042

Desta versão 1.452

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Licença:

BSD-3-Clause

Required Ruby Version: >= 2.0.0

Required Rubygems Version: > 1.3.1

Links: